Bug 1564601 - Satellite credential validation times out with no error message
Summary: Satellite credential validation times out with no error message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Tasos Papaioannou
URL:
Whiteboard: ui:config_management
Depends On:
Blocks: 1595447
TreeView+ depends on / blocked
 
Reported: 2018-04-06 17:47 UTC by Tasos Papaioannou
Modified: 2019-02-11 14:09 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1595447 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:09:30 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Credential validation was unsuccessful (124.88 KB, image/png)
2018-04-26 12:30 UTC, Adam Grare
no flags Details

Description Tasos Papaioannou 2018-04-06 17:47:06 UTC
Description of problem:

When adding a new Satellite configuration provider, if the URL cannot be accessed because of a firewall dropping packets, then credential validation times out after 2 minutes with no flash message.

Version-Release number of selected component (if applicable):

5.9.0.14 and later

How reproducible:

100%

Steps to Reproduce:
1.) On the Satellite server, set up a firewall rule that drop packets from the appliance, e.g.,

# iptables -I INPUT -p tcp -m tcp --dport 443 -m conntrack --ctstate NEW -j DROP

2.) In the CFME web UI, create a Satellite provider and click Validate to check the credentials.

3.) Wait 2 minutes and see the spinner disappear but no flash error message.

Actual results:

No error message displayed after Satellite credential validation times out.

Expected results:

Error message displayed after Satellite credential validation times out.

Additional info:

In 5.8.3.5 and earlier, after the 2 minute timeout, a flash message appears with the text "Error requesting data from server". As of 5.9.0.14 and later, the message no longer appears.

For other providers, such as RHV or vSphere infrastructure providers, error messages do appear after credential validation times out, e.g.,

"Credential validation was not successful: Can't send request: Timeout was reached" or "Credential validation was not successful: Unexpected response returned from Provider, see log for details".

Comment 3 Adam Grare 2018-04-26 12:30:17 UTC
Created attachment 1427193 [details]
Credential validation was unsuccessful

I wasn't able to reproduce this on upstream/master, I see the attached error after the 2 minute timeout

Comment 10 CFME Bot 2018-06-23 06:39:56 UTC
New commit detected on ManageIQ/manageiq-providers-foreman/master:

https://github.com/ManageIQ/manageiq-providers-foreman/commit/b3bd6b52c892ec093785bd42f0c762a0e9ae8feb
commit b3bd6b52c892ec093785bd42f0c762a0e9ae8feb
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Jun 13 07:48:35 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Jun 13 07:48:35 2018 -0400

    Add 100 seconds as connection timeout to return sooner than apache

    https://bugzilla.redhat.com/show_bug.cgi?id=1564601

 app/models/manageiq/providers/foreman/provider.rb | 1 +
 spec/models/manageiq/providers/foreman/provider_spec.rb | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

Comment 12 Tasos Papaioannou 2018-06-28 14:24:24 UTC
Verified on 5.10.0.2.


Note You need to log in before you can comment on or make changes to this bug.